## GtkHScale GtkHScale |

## Functions

GtkWidget * | gtk_hscale_new ()
GtkWidget * | gtk_hscale_new_with_range ()

## Types and Values

struct | GtkHScale

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkRange
                        ╰── GtkScale
                            ╰── GtkHScale

## Implemented Interfaces

GtkHScale implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_hscale_new ()

    GtkWidget *
    gtk_hscale_new (GtkAdjustment *adjustment);

### gtk_hscale_new_with_range ()

    GtkWidget *
    gtk_hscale_new_with_range (gdouble min,
                               gdouble max,
                               gdouble step);

Creates a new horizontal scale widget that lets the user input a number between `min` and `max` (including `min` and `max` ) with the increment `step` . `step` must be nonzero; it's the distance the slider moves when using the arrow keys to adjust the scale value.

Note that the way in which the precision is derived works best if `step` is a power of ten. If the resulting precision is not suitable for your needs, use `gtk_scale_set_digits()` to correct it.

#### Parameters

min | minimum value |
max | maximum value |
step | step increment (tick size) used with keyboard shortcuts |

#### Returns

a new GtkHScale

## Types and Values

### struct GtkHScale

    struct GtkHScale;